SDL_GetSurfaceColorspace(3)

NAME
SDL_GetSurfaceColorspace - Get the colorspace used by a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Colorspace SDL_GetSurfaceColorspace(SDL_Surface *surface);

DESCRIPTION
The colorspace defaults to

SDL_COLORSPACE_SRGB_LINEAR
 for floating point formats, SDL_COLORSPACE_HDR10
 for 10-bit formats,

SDL_COLORSPACE_SRGB
 for other RGB surfaces and

SDL_COLORSPACE_BT709_FULL
 for YUV textures.

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to query.

RETURN VALUE
( SDL_Colorspace ) Returns the colorspace used by the surface, or SDL_COLORSPACE_UNKNOWN
 if the surface is NULL.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetSurfaceColorspace(3)